# Adding a general build configuration
# (c) Pierre-Marie Desombre, Eric MAEKER, 2008-2009
# BSD revised Licence
TEMPLATE = app
TARGET = RapidComptaMed

# always include the config.pri __after__ the TARGET's definition
include(../../../buildspecs/config.pri)

# redefine the TARGET's name (this can be moved in the config.pri file)
TARGET = $$BINARY_NAME

# define destination path
DESTDIR = $$BUILD_BINARY_PATH
DEPENDPATH += $$PWD

# include common code
include($$SOURCES_ROOT_PATH/src/common/common.pri)

# include qprintereasy code
include($$SOURCES_ROOT_PATH/src/common/print/src.pri)

#include ccam code
include($$SOURCES_ROOT_PATH/src/ccam/ccam.pri)

# Input
HEADERS += comptatrieemainwindow.h \
           ../grand_livre/grandlivre.h \
           ../grand_livre/myThread.h \
           ../recettestriees/recettestriees.h \
           ../depensestriees/depensestriees.h \
           ../etatstries/etatstries.h \
           ../etatstries/pratid.h \
           ../etatdesdus/etatdesdus.h \
           ../etatdesdus/tableau.h \
           ../frenchTax/frenchTax.h\
           ../../setup/wiz1.h \
           ../../setup/page1.h \
           ../../comptabilite_interfaces_src/immobilisations/immobilisations.h \
           ../../comptabilite_interfaces_src/immobilisations/message.h \
           ../../comptabilite_interfaces_src/immobilisations/NouvelleImmobilisation.h \
           ../../comptabilite_interfaces_src/parametrages/parametrages.h \
           ../../comptabilite_interfaces_src/depensedialog/depensedialog.h \
           ../../comptabilite_interfaces_src/depensedialog/utilisateurdialog.h \
           ../../comptabilite_interfaces_src/recettedialog/recettedialog.h \
           ../../comptabilite_interfaces_src/recettedialog/modifierrecette.h \
           ../../comptabilite_interfaces_src/recettedialog/rafraichirdialog.h \
           ../../common/completeBase.h \
           ../../common/creationtable.h \
           ../../common/configure/mdp.h \
           ../../common/configure/utilisateur.h \
           ../../common/configure/modifutil.h \
            ../../common/configure/sitesdialog.h \
            ../../common/configure/payeursdialog.h \
            ../../common/configure/actesdispo.h \
            ../../common/configure/pourcentages.h \
            ../../common/configure/parametredialog.h \
            ../../common/configure/automatisme.h \
            ../../common/configure/vision.h \
            ../../common/configure/help.h \
            ../../common/configure/rapport.h 

FORMS +=   comptatrieemainwindow.ui \
           ../grand_livre/grandlivredialog.ui \
           ../etatstries/etatstries.ui \
           ../etatstries/PratIdDialog.ui \
           ../etatdesdus/etatdesdusdialog.ui \
           ../etatdesdus/tableaudialog.ui \
           ../frenchTax/frenchTaxDialog.ui \
           ../../setup/page1.ui \
           ../../comptabilite_interfaces_src/immobilisations/immobilisations.ui \
           ../../comptabilite_interfaces_src/immobilisations/NouvelleImmobilisation.ui \
           ../../comptabilite_interfaces_src/parametrages/ParametragesDialog.ui \
           ../../comptabilite_interfaces_src/depensedialog/depensedialog.ui  \
           ../../comptabilite_interfaces_src/depensedialog/utilisateurPrefDialog.ui  \
           ../../comptabilite_interfaces_src/recettedialog/rafraichirdialog.ui \
           ../../comptabilite_interfaces_src/recettedialog/modifierrecette.ui \
           ../../comptabilite_interfaces_src/recettedialog/recettedialog.ui \
           ../../common/configure/utilisateurdialog.ui \
           ../../common/configure/MdpDialog.ui \
           ../../common/configure/modifUtil.ui \
           ../../common/configure/sitesdialog.ui \
           ../../common/configure/payeursdialog.ui \
           ../../common/configure/actesdispodialog.ui \
           ../../common/configure/pourcentagesdialog.ui \
           ../../common/configure/parametredialog.ui \
           ../../common/configure/automatisme.ui \
           ../../common/configure/rapport.ui \
           ../../common/configure/helpForm.ui \
           ../../common/configure/vision.ui
         

SOURCES += comptatrieemainwindow.cpp \
           ../grand_livre/grandlivre.cpp \
           ../grand_livre/myThread.cpp \
           ../recettestriees/recettestriees.cpp \
           ../depensestriees/depensestriees.cpp \
           ../etatstries/etatstries.cpp \
           ../etatstries/pratid.cpp \
           ../etatdesdus/etatdesdus.cpp \
           ../etatdesdus/tableau.cpp \
           ../frenchTax/frenchTax.cpp\
           ../../setup/wiz1.cpp \
           ../../setup/page1.cpp \
           ../../comptabilite_interfaces_src/immobilisations/immobilisations.cpp \
           ../../comptabilite_interfaces_src/immobilisations/message.cpp \
           ../../comptabilite_interfaces_src/immobilisations/NouvelleImmobilisation.cpp \
           ../../comptabilite_interfaces_src/parametrages/parametrages.cpp \
           ../../comptabilite_interfaces_src/depensedialog/depensedialog.cpp \
           ../../comptabilite_interfaces_src/depensedialog/utilisateurdialog.cpp \
           ../../comptabilite_interfaces_src/recettedialog/recettedialog.cpp \
           ../../comptabilite_interfaces_src/recettedialog/modifierrecette.cpp \
           ../../comptabilite_interfaces_src/recettedialog/rafraichirdialog.cpp \
           ../../common/completeBase.cpp \
           ../../common/creationtable.cpp \
           ../../common/configure/mdp.cpp \
           ../../common/configure/utilisateur.cpp \
           ../../common/configure/modifutil.cpp \
            ../../common/configure/sitesdialog.cpp \
           ../../common/configure/payeursdialog.cpp \
           ../../common/configure/actesdispo.cpp \
           ../../common/configure/pourcentages.cpp \
           ../../common/configure/parametredialog.cpp \
           ../../common/configure/automatisme.cpp \
           ../../common/configure/vision.cpp \
           ../../common/configure/help.cpp \
           ../../common/configure/rapport.cpp \
           main.cpp 
           
QT += xml

win32 {
CONFIG += qt windows release 
}          
